Subject: Re: How do I see all of my changes on a branch?

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 13 Oct 2009 13:23:00 -0700

jonhud <[email-masked]> wrote:
> We are using github (but that's more or less irrelevant, since I'm just
> running git 1.6 locally on Ubuntu). Some time ago, I created a new branch
> (release.2.2) and pushed it out to the remote repository. All the digging
> through log, gitk, etc. has not made it possible for me to figure out the
> commit (or point in time) at which I cut the branch. 

git merge-base release2.2 HEAD

Which really lets you do:

  git diff $(git merge-base release.2.2 HEAD) HEAD

Which is the long form of:

  git diff release-2.2...HEAD

(diff triple dot operator does the merge base computation for you).
 
-- 
Shawn.